OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.ElementArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIElementArray :: MonadIO m => m Bool
- gl_ATI_element_array :: Bool
- pattern GL_ELEMENT_ARRAY_ATI :: GLenum
- pattern GL_ELEMENT_ARRAY_POINTER_ATI :: GLenum
- pattern GL_ELEMENT_ARRAY_TYPE_ATI :: GLenum
- glDrawElementArrayATI :: MonadIO m => GLenum -> GLsizei -> m ()
- glDrawRangeElementArrayATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> m ()
- glElementPointerATI :: MonadIO m => GLenum -> Ptr a -> m ()

# Extension Support

glGetATIElementArray :: MonadIO m => m Bool Source #

Is the ATI_element_array extension supported?

gl_ATI_element_array :: Bool Source #

Is the ATI_element_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIElementArray` in those cases instead.

# Enums

pattern GL_ELEMENT_ARRAY_ATI :: GLenum Source #

pattern GL_ELEMENT_ARRAY_POINTER_ATI :: GLenum Source #

pattern GL_ELEMENT_ARRAY_TYPE_ATI :: GLenum Source #

# Functions

glDrawElementArrayATI Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> m () |

glDrawRangeElementArrayATI Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> m () |

glElementPointerATI Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ElementPointerTypeATI.
-> Ptr a | `pointer` pointing to `COMPSIZE(type)` elements of type `a`.
-> m () |